> ## Documentation Index
> Fetch the complete documentation index at: https://ago.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Extract Questions

> Analyze the last N days of conversations to extract business questions.



## OpenAPI

````yaml /openapi-v1.json post /api/v1/coverage/extract
openapi: 3.1.0
info:
  title: AGO Public API
  version: 1.0.0
  description: Programmatic access to your AGO workspace.
servers:
  - url: https://{tenant_id}.api.useago.com
    description: AGO Public API v1
    variables:
      tenant_id:
        default: your-tenant-id
        description: Your AGO tenant identifier
security: []
paths:
  /api/v1/coverage/extract:
    post:
      tags:
        - Coverage
      summary: Extract Questions
      description: Analyze the last N days of conversations to extract business questions.
      operationId: core_api_v1_controllers_coverage_extract_questions
      parameters: []
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/CoverageExtractIn'
        required: true
      responses:
        '202':
          description: Accepted
          content:
            application/json:
              schema:
                additionalProperties: true
                title: Response
                type: object
      security:
        - ScopedAPIKeyAuth: []
components:
  schemas:
    CoverageExtractIn:
      properties:
        days_ago:
          default: 7
          title: Days Ago
          type: integer
      title: CoverageExtractIn
      type: object
  securitySchemes:
    ScopedAPIKeyAuth:
      type: apiKey
      in: header
      name: X-API-Key

````